Skip to main content
GET
/
api
/
v1
/
external
/
reports
/
client
/
timesheets
/
list
List Hourly Contract Timesheets
curl --request GET \
  --url https://golance.com/api/v1/external/reports/client/timesheets/list \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://golance.com/api/v1/external/reports/client/timesheets/list"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://golance.com/api/v1/external/reports/client/timesheets/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "results": [
    {
      "contract": {
        "_id": "<string>",
        "rate": 123,
        "title": "<string>",
        "contractor": {
          "_id": "<string>",
          "firstName": "<string>",
          "lastName": "<string>"
        },
        "employer": {
          "_id": "<string>",
          "firstName": "<string>",
          "lastName": "<string>"
        },
        "team": {
          "_id": "<string>",
          "name": "<string>"
        }
      },
      "statistics": {
        "billableMinutes": 123,
        "billedMinutes": 123,
        "manualMinutes": 123,
        "overtimeMinutes": 123,
        "trackedMinutes": 123,
        "activity": 123,
        "billableAmount": 123
      }
    }
  ],
  "pagination": {
    "currentPage": 123,
    "itemsPerPage": 123,
    "pagesCount": 123,
    "totalCount": 123
  },
  "statistics": {
    "billableMinutes": 123,
    "billedMinutes": 123,
    "manualMinutes": 123,
    "overtimeMinutes": 123,
    "trackedMinutes": 123,
    "activity": 123,
    "billableAmount": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

teamIds
string[]
Example:
["6137109712adad9757ab0e35"]
fromDate
string
required

Start date in YYYY-MM-DD format

Example:

"2023-01-01"

toDate
string
required

End date in YYYY-MM-DD format

Example:

"2023-01-31"

contractorIds
string[]
Example:
["6137109712adad9757ab0e35"]
sortOrder
enum<string>
default:asc
Available options:
asc,
desc
sortField
enum<string>
default:contract
Available options:
contract,
contractor,
trackedTime,
activity,
goMeter,
manual,
overtime,
billableTime,
billableAmount
page
number
default:1
Required range: x >= 1
itemsPerPage
number
default:10
Required range: 1 <= x <= 100

Response

200 - application/json

Timesheet list response.

results
object[]
required
pagination
object
required
statistics
object
required